<?php

use App\Http\Controllers\KeyValuePairs\CreateChatGPTPromptKVPController;
use App\Http\Controllers\KeyValuePairs\CreateClaudePromptKVPController;
use App\Http\Controllers\KeyValuePairs\DeleteChatGPTPromptKVPController;
use App\Http\Controllers\KeyValuePairs\DeleteClaudePromptKVPController;
use App\Http\Controllers\KeyValuePairs\ListAiPromptsKVPController;
use App\Http\Controllers\KeyValuePairs\UpdateChatGPTPromptKVPController;
use App\Http\Controllers\KeyValuePairs\UpdateClaudePromptKVPController;
use Illuminate\Support\Facades\Route;

Route::group(['prefix' => 'kvp', 'as' => 'kvp.'], function () {
    Route::get('/prompts/list', [ListAiPromptsKVPController::class, 'list'])->name('prompts.list');

    Route::put('/chatgpt/prompt/update/{id}', [UpdateChatGPTPromptKVPController::class, 'update'])->name('chatgpt.prompt.update');
    Route::post('/chatgpt/prompt/create', [CreateChatGPTPromptKVPController::class, 'create'])->name('chatgpt.prompt.create');
    Route::delete('/chatgpt/prompt/delete/{id}', [DeleteChatGPTPromptKVPController::class, 'delete'])->name('chatgpt.prompt.delete');

    Route::put('/claude/prompt/update/{id}', [UpdateClaudePromptKVPController::class, 'update'])->name('claude.prompt.update');
    Route::post('/claude/prompt/create', [CreateClaudePromptKVPController::class, 'create'])->name('claude.prompt.create');
    Route::delete('/claude/prompt/delete/{id}', [DeleteClaudePromptKVPController::class, 'delete'])->name('claude.prompt.delete');
});
